/** Copyright (C) 2010 Maxime Gamboni. See COPYING for
    copying/warranty info. */

#include "unbreakable.h"
#include "base.h"
#include "main.h"

Unbreakable::Unbreakable(unsigned int id) : Stone(id) {}
Unbreakable::~Unbreakable() {}

bool Unbreakable::trigger(Littlecube *b) {
  click[rand()%4].play();
  return false;
}

bool Unbreakable::breakable() { return false; }

void Unbreakable::render() {
  glColor3f(0.7f,0.8f,0.9f);
  render0();
}
