#ifndef UNBREAKABLE_H
#define UNBREAKABLE_H

/** A stone you can't break

    Copyright (C) 2010 Maxime Gamboni. See COPYING for
    copying/warranty info. */


#include "stone.h"

class Unbreakable : public Stone {
 public:

  Unbreakable(unsigned int id);
  ~Unbreakable();

  bool breakable();
  void render();

  bool trigger(Littlecube *b);

};

#endif
